Horizen's Swing wallet has released a mandatory maintenance update


#1

All Swing users must upgrade their wallets.

The update includes the ZEN 2.0.17 binaries.

Get the update now->